/*
Rowan Froeschner
11/13/2022
CPSC-1011 Section 007 Fall Semester 2022
Lab #10B
This part contains everything needed in terms of defining the structure values and header
values to the rest of the files by using an include with quotes and defs.h.
*/
#include <stdio.h>
#include <stdlib.h>
typedef struct {
    int width, height, maxColor;
    char array[3];
}Header;
typedef struct {
    unsigned int r, g, b; 
}Pixel;
Header getHeader();
void fillImageArray(Pixel im[], int width, int height);
void writeHeader(Header h);
void writePixels(Pixel im[], int width, int height);
void halfSizeWritePixels(Pixel im[], int width, int height);
